searchData={"items":[{"type":"module","title":"GoogleApi.Pollen.V1","doc":"API client metadata for GoogleApi.Pollen.V1.","ref":"GoogleApi.Pollen.V1.html"},{"type":"function","title":"GoogleApi.Pollen.V1.discovery_revision/0","doc":"","ref":"GoogleApi.Pollen.V1.html#discovery_revision/0"},{"type":"module","title":"GoogleApi.Pollen.V1.Api.Forecast","doc":"API calls for all endpoints tagged `Forecast`.","ref":"GoogleApi.Pollen.V1.Api.Forecast.html"},{"type":"function","title":"GoogleApi.Pollen.V1.Api.Forecast.pollen_forecast_lookup/3","doc":"Returns up to 5 days of daily pollen information in more than 65 countries, up to 1km resolution.","ref":"GoogleApi.Pollen.V1.Api.Forecast.html#pollen_forecast_lookup/3"},{"type":"function","title":"Parameters - GoogleApi.Pollen.V1.Api.Forecast.pollen_forecast_lookup/3","doc":"*   `connection` (*type:* `GoogleApi.Pollen.V1.Connection.t`) - Connection to server\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:days` (*type:* `integer()`) - Required. A number that indicates how many forecast days to request (minimum value 1, maximum value is 5).\n    *   `:languageCode` (*type:* `String.t`) - Optional. Allows the client to choose the language for the response. If data cannot be provided for that language, the API uses the closest match. Allowed values rely on the IETF BCP-47 standard. The default value is \"en\".\n    *   `:\"location.latitude\"` (*type:* `float()`) - The latitude in degrees. It must be in the range [-90.0, +90.0].\n    *   `:\"location.longitude\"` (*type:* `float()`) - The longitude in degrees. It must be in the range [-180.0, +180.0].\n    *   `:pageSize` (*type:* `integer()`) - Optional. The maximum number of daily info records to return per page. The default and max value is 5, indicating 5 days of data.\n    *   `:pageToken` (*type:* `String.t`) - Optional. A page token received from a previous daily call. It is used to retrieve the subsequent page. Note that when providing a value for the page token, all other request parameters provided must match the previous call that provided the page token.\n    *   `:plantsDescription` (*type:* `boolean()`) - Optional. Contains general information about plants, including details on their seasonality, special shapes and colors, information about allergic cross-reactions, and plant photos. The default value is \"true\".\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Pollen.V1.Api.Forecast.html#pollen_forecast_lookup/3-parameters"},{"type":"function","title":"Returns - GoogleApi.Pollen.V1.Api.Forecast.pollen_forecast_lookup/3","doc":"*   `{:ok, %GoogleApi.Pollen.V1.Model.LookupForecastResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Pollen.V1.Api.Forecast.html#pollen_forecast_lookup/3-returns"},{"type":"module","title":"GoogleApi.Pollen.V1.Api.MapTypes","doc":"API calls for all endpoints tagged `MapTypes`.","ref":"GoogleApi.Pollen.V1.Api.MapTypes.html"},{"type":"function","title":"GoogleApi.Pollen.V1.Api.MapTypes.pollen_map_types_heatmap_tiles_lookup_heatmap_tile/7","doc":"Returns a byte array containing the data of the tile PNG image.","ref":"GoogleApi.Pollen.V1.Api.MapTypes.html#pollen_map_types_heatmap_tiles_lookup_heatmap_tile/7"},{"type":"function","title":"Parameters - GoogleApi.Pollen.V1.Api.MapTypes.pollen_map_types_heatmap_tiles_lookup_heatmap_tile/7","doc":"*   `connection` (*type:* `GoogleApi.Pollen.V1.Connection.t`) - Connection to server\n*   `map_type` (*type:* `String.t`) - Required. The type of the pollen heatmap. Defines the combination of pollen type and index that the map will graphically represent.\n*   `zoom` (*type:* `integer()`) - Required. The map's zoom level. Defines how large or small the contents of a map appear in a map view. * Zoom level 0 is the entire world in a single tile. * Zoom level 1 is the entire world in 4 tiles. * Zoom level 2 is the entire world in 16 tiles. * Zoom level 16 is the entire world in 65,536 tiles. Allowed values: 0-16\n*   `x` (*type:* `integer()`) - Required. Defines the east-west point in the requested tile.\n*   `y` (*type:* `integer()`) - Required. Defines the north-south point in the requested tile.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Pollen.V1.Api.MapTypes.html#pollen_map_types_heatmap_tiles_lookup_heatmap_tile/7-parameters"},{"type":"function","title":"Returns - GoogleApi.Pollen.V1.Api.MapTypes.pollen_map_types_heatmap_tiles_lookup_heatmap_tile/7","doc":"*   `{:ok, %GoogleApi.Pollen.V1.Model.HttpBody{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Pollen.V1.Api.MapTypes.html#pollen_map_types_heatmap_tiles_lookup_heatmap_tile/7-returns"},{"type":"module","title":"GoogleApi.Pollen.V1.Connection","doc":"Handle Tesla connections for GoogleApi.Pollen.V1.","ref":"GoogleApi.Pollen.V1.Connection.html"},{"type":"function","title":"GoogleApi.Pollen.V1.Connection.delete/3","doc":"Perform a DELETE request.\n\nSee `request/1` or `request/2` for options definition.\n\n    delete(\"/users\")\n    delete(\"/users\", query: [scope: \"admin\"])\n    delete(client, \"/users\")\n    delete(client, \"/users\", query: [scope: \"admin\"])\n    delete(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.Pollen.V1.Connection.html#delete/3"},{"type":"function","title":"GoogleApi.Pollen.V1.Connection.delete!/3","doc":"Perform a DELETE request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    delete!(\"/users\")\n    delete!(\"/users\", query: [scope: \"admin\"])\n    delete!(client, \"/users\")\n    delete!(client, \"/users\", query: [scope: \"admin\"])\n    delete!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.Pollen.V1.Connection.html#delete!/3"},{"type":"function","title":"GoogleApi.Pollen.V1.Connection.execute/2","doc":"Execute a request on this connection","ref":"GoogleApi.Pollen.V1.Connection.html#execute/2"},{"type":"function","title":"Returns - GoogleApi.Pollen.V1.Connection.execute/2","doc":"*   `{:ok, Tesla.Env.t}` - If the call was successful\n*   `{:error, reason}` - If the call failed","ref":"GoogleApi.Pollen.V1.Connection.html#execute/2-returns"},{"type":"function","title":"GoogleApi.Pollen.V1.Connection.get/3","doc":"Perform a GET request.\n\nSee `request/1` or `request/2` for options definition.\n\n    get(\"/users\")\n    get(\"/users\", query: [scope: \"admin\"])\n    get(client, \"/users\")\n    get(client, \"/users\", query: [scope: \"admin\"])\n    get(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.Pollen.V1.Connection.html#get/3"},{"type":"function","title":"GoogleApi.Pollen.V1.Connection.get!/3","doc":"Perform a GET request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    get!(\"/users\")\n    get!(\"/users\", query: [scope: \"admin\"])\n    get!(client, \"/users\")\n    get!(client, \"/users\", query: [scope: \"admin\"])\n    get!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.Pollen.V1.Connection.html#get!/3"},{"type":"function","title":"GoogleApi.Pollen.V1.Connection.head/3","doc":"Perform a HEAD request.\n\nSee `request/1` or `request/2` for options definition.\n\n    head(\"/users\")\n    head(\"/users\", query: [scope: \"admin\"])\n    head(client, \"/users\")\n    head(client, \"/users\", query: [scope: \"admin\"])\n    head(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.Pollen.V1.Connection.html#head/3"},{"type":"function","title":"GoogleApi.Pollen.V1.Connection.head!/3","doc":"Perform a HEAD request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    head!(\"/users\")\n    head!(\"/users\", query: [scope: \"admin\"])\n    head!(client, \"/users\")\n    head!(client, \"/users\", query: [scope: \"admin\"])\n    head!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.Pollen.V1.Connection.html#head!/3"},{"type":"function","title":"GoogleApi.Pollen.V1.Connection.new/0","doc":"Configure an authless client connection","ref":"GoogleApi.Pollen.V1.Connection.html#new/0"},{"type":"function","title":"Returns - GoogleApi.Pollen.V1.Connection.new/0","doc":"*   `Tesla.Env.client`","ref":"GoogleApi.Pollen.V1.Connection.html#new/0-returns"},{"type":"function","title":"GoogleApi.Pollen.V1.Connection.new/1","doc":"Configure a client connection using a function which yields a Bearer token.","ref":"GoogleApi.Pollen.V1.Connection.html#new/1"},{"type":"function","title":"Parameters - GoogleApi.Pollen.V1.Connection.new/1","doc":"*   `token_fetcher` (*type:* `list(String.t()) -> String.t()`) - Callback\n    which provides an OAuth2 token given a list of scopes","ref":"GoogleApi.Pollen.V1.Connection.html#new/1-parameters"},{"type":"function","title":"Returns - GoogleApi.Pollen.V1.Connection.new/1","doc":"*   `Tesla.Env.client`","ref":"GoogleApi.Pollen.V1.Connection.html#new/1-returns"},{"type":"function","title":"GoogleApi.Pollen.V1.Connection.options/3","doc":"Perform a OPTIONS request.\n\nSee `request/1` or `request/2` for options definition.\n\n    options(\"/users\")\n    options(\"/users\", query: [scope: \"admin\"])\n    options(client, \"/users\")\n    options(client, \"/users\", query: [scope: \"admin\"])\n    options(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.Pollen.V1.Connection.html#options/3"},{"type":"function","title":"GoogleApi.Pollen.V1.Connection.options!/3","doc":"Perform a OPTIONS request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    options!(\"/users\")\n    options!(\"/users\", query: [scope: \"admin\"])\n    options!(client, \"/users\")\n    options!(client, \"/users\", query: [scope: \"admin\"])\n    options!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.Pollen.V1.Connection.html#options!/3"},{"type":"function","title":"GoogleApi.Pollen.V1.Connection.patch/4","doc":"Perform a PATCH request.\n\nSee `request/1` or `request/2` for options definition.\n\n    patch(\"/users\", %{name: \"Jon\"})\n    patch(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    patch(client, \"/users\", %{name: \"Jon\"})\n    patch(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.Pollen.V1.Connection.html#patch/4"},{"type":"function","title":"GoogleApi.Pollen.V1.Connection.patch!/4","doc":"Perform a PATCH request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    patch!(\"/users\", %{name: \"Jon\"})\n    patch!(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    patch!(client, \"/users\", %{name: \"Jon\"})\n    patch!(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.Pollen.V1.Connection.html#patch!/4"},{"type":"function","title":"GoogleApi.Pollen.V1.Connection.post/4","doc":"Perform a POST request.\n\nSee `request/1` or `request/2` for options definition.\n\n    post(\"/users\", %{name: \"Jon\"})\n    post(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    post(client, \"/users\", %{name: \"Jon\"})\n    post(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.Pollen.V1.Connection.html#post/4"},{"type":"function","title":"GoogleApi.Pollen.V1.Connection.post!/4","doc":"Perform a POST request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    post!(\"/users\", %{name: \"Jon\"})\n    post!(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    post!(client, \"/users\", %{name: \"Jon\"})\n    post!(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.Pollen.V1.Connection.html#post!/4"},{"type":"function","title":"GoogleApi.Pollen.V1.Connection.put/4","doc":"Perform a PUT request.\n\nSee `request/1` or `request/2` for options definition.\n\n    put(\"/users\", %{name: \"Jon\"})\n    put(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    put(client, \"/users\", %{name: \"Jon\"})\n    put(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.Pollen.V1.Connection.html#put/4"},{"type":"function","title":"GoogleApi.Pollen.V1.Connection.put!/4","doc":"Perform a PUT request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    put!(\"/users\", %{name: \"Jon\"})\n    put!(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    put!(client, \"/users\", %{name: \"Jon\"})\n    put!(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.Pollen.V1.Connection.html#put!/4"},{"type":"function","title":"GoogleApi.Pollen.V1.Connection.request/2","doc":"Perform a request.","ref":"GoogleApi.Pollen.V1.Connection.html#request/2"},{"type":"function","title":"Options - GoogleApi.Pollen.V1.Connection.request/2","doc":"- `:method` - the request method, one of [`:head`, `:get`, `:delete`, `:trace`, `:options`, `:post`, `:put`, `:patch`]\n- `:url` - either full url e.g. \"http://example.com/some/path\" or just \"/some/path\" if using `Tesla.Middleware.BaseUrl`\n- `:query` - a keyword list of query params, e.g. `[page: 1, per_page: 100]`\n- `:headers` - a keyworld list of headers, e.g. `[{\"content-type\", \"text/plain\"}]`\n- `:body` - depends on used middleware:\n    - by default it can be a binary\n    - if using e.g. JSON encoding middleware it can be a nested map\n    - if adapter supports it it can be a Stream with any of the above\n- `:opts` - custom, per-request middleware or adapter options","ref":"GoogleApi.Pollen.V1.Connection.html#request/2-options"},{"type":"function","title":"Examples - GoogleApi.Pollen.V1.Connection.request/2","doc":"ExampleApi.request(method: :get, url: \"/users/path\")\n\n    # use shortcut methods\n    ExampleApi.get(\"/users/1\")\n    ExampleApi.post(client, \"/users\", %{name: \"Jon\"})","ref":"GoogleApi.Pollen.V1.Connection.html#request/2-examples"},{"type":"function","title":"GoogleApi.Pollen.V1.Connection.request!/2","doc":"Perform request and raise in case of error.\n\nThis is similar to `request/2` behaviour from Tesla 0.x\n\nSee `request/2` for list of available options.","ref":"GoogleApi.Pollen.V1.Connection.html#request!/2"},{"type":"function","title":"GoogleApi.Pollen.V1.Connection.trace/3","doc":"Perform a TRACE request.\n\nSee `request/1` or `request/2` for options definition.\n\n    trace(\"/users\")\n    trace(\"/users\", query: [scope: \"admin\"])\n    trace(client, \"/users\")\n    trace(client, \"/users\", query: [scope: \"admin\"])\n    trace(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.Pollen.V1.Connection.html#trace/3"},{"type":"function","title":"GoogleApi.Pollen.V1.Connection.trace!/3","doc":"Perform a TRACE request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    trace!(\"/users\")\n    trace!(\"/users\", query: [scope: \"admin\"])\n    trace!(client, \"/users\")\n    trace!(client, \"/users\", query: [scope: \"admin\"])\n    trace!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.Pollen.V1.Connection.html#trace!/3"},{"type":"type","title":"GoogleApi.Pollen.V1.Connection.option/0","doc":"Options that may be passed to a request function. See `request/2` for detailed descriptions.","ref":"GoogleApi.Pollen.V1.Connection.html#t:option/0"},{"type":"type","title":"GoogleApi.Pollen.V1.Connection.t/0","doc":"","ref":"GoogleApi.Pollen.V1.Connection.html#t:t/0"},{"type":"module","title":"GoogleApi.Pollen.V1.Model.Color","doc":"Represents a color in the RGBA color space. This representation is designed for simplicity of conversion to and from color representations in various languages over compactness. For example, the fields of this representation can be trivially provided to the constructor of `java.awt.Color` in Java; it can also be trivially provided to UIColor's `+colorWithRed:green:blue:alpha` method in iOS; and, with just a little work, it can be easily formatted into a CSS `rgba()` string in JavaScript. This reference page doesn't have information about the absolute color space that should be used to interpret the RGB value—for example, sRGB, Adobe RGB, DCI-P3, and BT.2020. By default, applications should assume the sRGB color space. When color equality needs to be decided, implementations, unless documented otherwise, treat two colors as equal if all their red, green, blue, and alpha values each differ by at most `1e-5`. Example (Java): import com.google.type.Color; // ... public static java.awt.Color fromProto(Color protocolor) { float alpha = protocolor.hasAlpha() ? protocolor.getAlpha().getValue() : 1.0; return new java.awt.Color( protocolor.getRed(), protocolor.getGreen(), protocolor.getBlue(), alpha); } public static Color toProto(java.awt.Color color) { float red = (float) color.getRed(); float green = (float) color.getGreen(); float blue = (float) color.getBlue(); float denominator = 255.0; Color.Builder resultBuilder = Color .newBuilder() .setRed(red / denominator) .setGreen(green / denominator) .setBlue(blue / denominator); int alpha = color.getAlpha(); if (alpha != 255) { result.setAlpha( FloatValue .newBuilder() .setValue(((float) alpha) / denominator) .build()); } return resultBuilder.build(); } // ... Example (iOS / Obj-C): // ... static UIColor* fromProto(Color* protocolor) { float red = [protocolor red]; float green = [protocolor green]; float blue = [protocolor blue]; FloatValue* alpha_wrapper = [protocolor alpha]; float alpha = 1.0; if (alpha_wrapper != nil) { alpha = [alpha_wrapper value]; } return [UIColor colorWithRed:red green:green blue:blue alpha:alpha]; } static Color* toProto(UIColor* color) { CGFloat red, green, blue, alpha; if (![color getRed:&red green:&green blue:&blue alpha:&alpha]) { return nil; } Color* result = [[Color alloc] init]; [result setRed:red]; [result setGreen:green]; [result setBlue:blue]; if (alpha <= 0.9999) { [result setAlpha:floatWrapperWithValue(alpha)]; } [result autorelease]; return result; } // ... Example (JavaScript): // ... var protoToCssColor = function(rgb_color) { var redFrac = rgb_color.red || 0.0; var greenFrac = rgb_color.green || 0.0; var blueFrac = rgb_color.blue || 0.0; var red = Math.floor(redFrac * 255); var green = Math.floor(greenFrac * 255); var blue = Math.floor(blueFrac * 255); if (!('alpha' in rgb_color)) { return rgbToCssColor(red, green, blue); } var alphaFrac = rgb_color.alpha.value || 0.0; var rgbParams = [red, green, blue].join(','); return ['rgba(', rgbParams, ',', alphaFrac, ')'].join(''); }; var rgbToCssColor = function(red, green, blue) { var rgbNumber = new Number((red << 16) | (green << 8) | blue); var hexString = rgbNumber.toString(16); var missingZeros = 6 - hexString.length; var resultBuilder = ['#']; for (var i = 0; i < missingZeros; i++) { resultBuilder.push('0'); } resultBuilder.push(hexString); return resultBuilder.join(''); }; // ...","ref":"GoogleApi.Pollen.V1.Model.Color.html"},{"type":"module","title":"Attributes - GoogleApi.Pollen.V1.Model.Color","doc":"*   `alpha` (*type:* `number()`, *default:* `nil`) - The fraction of this color that should be applied to the pixel. That is, the final pixel color is defined by the equation: `pixel color = alpha * (this color) + (1.0 - alpha) * (background color)` This means that a value of 1.0 corresponds to a solid color, whereas a value of 0.0 corresponds to a completely transparent color. This uses a wrapper message rather than a simple float scalar so that it is possible to distinguish between a default value and the value being unset. If omitted, this color object is rendered as a solid color (as if the alpha value had been explicitly given a value of 1.0).\n*   `blue` (*type:* `number()`, *default:* `nil`) - The amount of blue in the color as a value in the interval [0, 1].\n*   `green` (*type:* `number()`, *default:* `nil`) - The amount of green in the color as a value in the interval [0, 1].\n*   `red` (*type:* `number()`, *default:* `nil`) - The amount of red in the color as a value in the interval [0, 1].","ref":"GoogleApi.Pollen.V1.Model.Color.html#module-attributes"},{"type":"function","title":"GoogleApi.Pollen.V1.Model.Color.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Pollen.V1.Model.Color.html#decode/2"},{"type":"type","title":"GoogleApi.Pollen.V1.Model.Color.t/0","doc":"","ref":"GoogleApi.Pollen.V1.Model.Color.html#t:t/0"},{"type":"module","title":"GoogleApi.Pollen.V1.Model.Date","doc":"Represents a whole or partial calendar date, such as a birthday. The time of day and time zone are either specified elsewhere or are insignificant. The date is relative to the Gregorian Calendar. This can represent one of the following: * A full date, with non-zero year, month, and day values. * A month and day, with a zero year (for example, an anniversary). * A year on its own, with a zero month and a zero day. * A year and month, with a zero day (for example, a credit card expiration date). Related types: * google.type.TimeOfDay * google.type.DateTime * google.protobuf.Timestamp","ref":"GoogleApi.Pollen.V1.Model.Date.html"},{"type":"module","title":"Attributes - GoogleApi.Pollen.V1.Model.Date","doc":"*   `day` (*type:* `integer()`, *default:* `nil`) - Day of a month. Must be from 1 to 31 and valid for the year and month, or 0 to specify a year by itself or a year and month where the day isn't significant.\n*   `month` (*type:* `integer()`, *default:* `nil`) - Month of a year. Must be from 1 to 12, or 0 to specify a year without a month and day.\n*   `year` (*type:* `integer()`, *default:* `nil`) - Year of the date. Must be from 1 to 9999, or 0 to specify a date without a year.","ref":"GoogleApi.Pollen.V1.Model.Date.html#module-attributes"},{"type":"function","title":"GoogleApi.Pollen.V1.Model.Date.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Pollen.V1.Model.Date.html#decode/2"},{"type":"type","title":"GoogleApi.Pollen.V1.Model.Date.t/0","doc":"","ref":"GoogleApi.Pollen.V1.Model.Date.html#t:t/0"},{"type":"module","title":"GoogleApi.Pollen.V1.Model.DayInfo","doc":"This object contains the daily forecast information for each day requested.","ref":"GoogleApi.Pollen.V1.Model.DayInfo.html"},{"type":"module","title":"Attributes - GoogleApi.Pollen.V1.Model.DayInfo","doc":"*   `date` (*type:* `GoogleApi.Pollen.V1.Model.Date.t`, *default:* `nil`) - The date in UTC at which the pollen forecast data is represented.\n*   `plantInfo` (*type:* `list(GoogleApi.Pollen.V1.Model.PlantInfo.t)`, *default:* `nil`) - This list will include up to 15 pollen species affecting the location specified in the request.\n*   `pollenTypeInfo` (*type:* `list(GoogleApi.Pollen.V1.Model.PollenTypeInfo.t)`, *default:* `nil`) - This list will include up to three pollen types (GRASS, WEED, TREE) affecting the location specified in the request.","ref":"GoogleApi.Pollen.V1.Model.DayInfo.html#module-attributes"},{"type":"function","title":"GoogleApi.Pollen.V1.Model.DayInfo.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Pollen.V1.Model.DayInfo.html#decode/2"},{"type":"type","title":"GoogleApi.Pollen.V1.Model.DayInfo.t/0","doc":"","ref":"GoogleApi.Pollen.V1.Model.DayInfo.html#t:t/0"},{"type":"module","title":"GoogleApi.Pollen.V1.Model.HttpBody","doc":"Message that represents an arbitrary HTTP body. It should only be used for payload formats that can't be represented as JSON, such as raw binary or an HTML page. This message can be used both in streaming and non-streaming API methods in the request as well as the response. It can be used as a top-level request field, which is convenient if one wants to extract parameters from either the URL or HTTP template into the request fields and also want access to the raw HTTP body. Example: message GetResourceRequest { // A unique request id. string request_id = 1; // The raw HTTP body is bound to this field. google.api.HttpBody http_body = 2; } service ResourceService { rpc GetResource(GetResourceRequest) returns (google.api.HttpBody); rpc UpdateResource(google.api.HttpBody) returns (google.protobuf.Empty); } Example with streaming methods: service CaldavService { rpc GetCalendar(stream google.api.HttpBody) returns (stream google.api.HttpBody); rpc UpdateCalendar(stream google.api.HttpBody) returns (stream google.api.HttpBody); } Use of this type only changes how the request and response bodies are handled, all other features will continue to work unchanged.","ref":"GoogleApi.Pollen.V1.Model.HttpBody.html"},{"type":"module","title":"Attributes - GoogleApi.Pollen.V1.Model.HttpBody","doc":"*   `contentType` (*type:* `String.t`, *default:* `nil`) - The HTTP Content-Type header value specifying the content type of the body.\n*   `data` (*type:* `String.t`, *default:* `nil`) - The HTTP request/response body as raw binary.\n*   `extensions` (*type:* `list(map())`, *default:* `nil`) - Application specific response metadata. Must be set in the first response for streaming APIs.","ref":"GoogleApi.Pollen.V1.Model.HttpBody.html#module-attributes"},{"type":"function","title":"GoogleApi.Pollen.V1.Model.HttpBody.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Pollen.V1.Model.HttpBody.html#decode/2"},{"type":"type","title":"GoogleApi.Pollen.V1.Model.HttpBody.t/0","doc":"","ref":"GoogleApi.Pollen.V1.Model.HttpBody.html#t:t/0"},{"type":"module","title":"GoogleApi.Pollen.V1.Model.IndexInfo","doc":"This object contains data representing specific pollen index value, category and description.","ref":"GoogleApi.Pollen.V1.Model.IndexInfo.html"},{"type":"module","title":"Attributes - GoogleApi.Pollen.V1.Model.IndexInfo","doc":"*   `category` (*type:* `String.t`, *default:* `nil`) - Text classification of index numerical score interpretation. The index consists of six categories: * 0: \"None\" * 1: \"Very low\" * 2: \"Low\" * 3: \"Moderate\" * 4: \"High\" * 5: \"Very high\n*   `code` (*type:* `String.t`, *default:* `nil`) - The index's code. This field represents the index for programming purposes by using snake cases instead of spaces. Example: \"UPI\".\n*   `color` (*type:* `GoogleApi.Pollen.V1.Model.Color.t`, *default:* `nil`) - The color used to represent the Pollen Index numeric score.\n*   `displayName` (*type:* `String.t`, *default:* `nil`) - A human readable representation of the index name. Example: \"Universal Pollen Index\".\n*   `indexDescription` (*type:* `String.t`, *default:* `nil`) - Textual explanation of current index level.\n*   `value` (*type:* `integer()`, *default:* `nil`) - The index's numeric score. Numeric range is between 0 and 5.","ref":"GoogleApi.Pollen.V1.Model.IndexInfo.html#module-attributes"},{"type":"function","title":"GoogleApi.Pollen.V1.Model.IndexInfo.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Pollen.V1.Model.IndexInfo.html#decode/2"},{"type":"type","title":"GoogleApi.Pollen.V1.Model.IndexInfo.t/0","doc":"","ref":"GoogleApi.Pollen.V1.Model.IndexInfo.html#t:t/0"},{"type":"module","title":"GoogleApi.Pollen.V1.Model.LookupForecastResponse","doc":"","ref":"GoogleApi.Pollen.V1.Model.LookupForecastResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Pollen.V1.Model.LookupForecastResponse","doc":"*   `dailyInfo` (*type:* `list(GoogleApi.Pollen.V1.Model.DayInfo.t)`, *default:* `nil`) - Required. This object contains the daily forecast information for each day requested.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - Optional. The token to retrieve the next page.\n*   `regionCode` (*type:* `String.t`, *default:* `nil`) - The ISO_3166-1 alpha-2 code of the country/region corresponding to the location provided in the request. This field might be omitted from the response if the location provided in the request resides in a disputed territory.","ref":"GoogleApi.Pollen.V1.Model.LookupForecastResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Pollen.V1.Model.LookupForecastResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Pollen.V1.Model.LookupForecastResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Pollen.V1.Model.LookupForecastResponse.t/0","doc":"","ref":"GoogleApi.Pollen.V1.Model.LookupForecastResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Pollen.V1.Model.PlantDescription","doc":"Contains general information about plants, including details on their seasonality, special shapes and colors, information about allergic cross-reactions, and plant photos.","ref":"GoogleApi.Pollen.V1.Model.PlantDescription.html"},{"type":"module","title":"Attributes - GoogleApi.Pollen.V1.Model.PlantDescription","doc":"*   `crossReaction` (*type:* `String.t`, *default:* `nil`) - Textual description of pollen cross reaction plants. Example: Alder, Hazel, Hornbeam, Beech, Willow, and Oak pollen.\n*   `family` (*type:* `String.t`, *default:* `nil`) - A human readable representation of the plant family name. Example: \"Betulaceae (the Birch family)\".\n*   `picture` (*type:* `String.t`, *default:* `nil`) - Link to the picture of the plant.\n*   `pictureCloseup` (*type:* `String.t`, *default:* `nil`) - Link to a closeup picture of the plant.\n*   `season` (*type:* `String.t`, *default:* `nil`) - Textual list of explanations of seasons where the pollen is active. Example: \"Late winter, spring\".\n*   `specialColors` (*type:* `String.t`, *default:* `nil`) - Textual description of the plants' colors of leaves, bark, flowers or seeds that helps identify the plant.\n*   `specialShapes` (*type:* `String.t`, *default:* `nil`) - Textual description of the plants' shapes of leaves, bark, flowers or seeds that helps identify the plant.\n*   `type` (*type:* `String.t`, *default:* `nil`) - The plant's pollen type. For example: \"GRASS\". A list of all available codes could be found here.","ref":"GoogleApi.Pollen.V1.Model.PlantDescription.html#module-attributes"},{"type":"function","title":"GoogleApi.Pollen.V1.Model.PlantDescription.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Pollen.V1.Model.PlantDescription.html#decode/2"},{"type":"type","title":"GoogleApi.Pollen.V1.Model.PlantDescription.t/0","doc":"","ref":"GoogleApi.Pollen.V1.Model.PlantDescription.html#t:t/0"},{"type":"module","title":"GoogleApi.Pollen.V1.Model.PlantInfo","doc":"This object contains the daily information on specific plant.","ref":"GoogleApi.Pollen.V1.Model.PlantInfo.html"},{"type":"module","title":"Attributes - GoogleApi.Pollen.V1.Model.PlantInfo","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - The plant code name. For example: \"COTTONWOOD\". A list of all available codes could be found here.\n*   `displayName` (*type:* `String.t`, *default:* `nil`) - A human readable representation of the plant name. Example: “Cottonwood\".\n*   `inSeason` (*type:* `boolean()`, *default:* `nil`) - Indication of either the plant is in season or not.\n*   `indexInfo` (*type:* `GoogleApi.Pollen.V1.Model.IndexInfo.t`, *default:* `nil`) - This object contains data representing specific pollen index value, category and description.\n*   `plantDescription` (*type:* `GoogleApi.Pollen.V1.Model.PlantDescription.t`, *default:* `nil`) - Contains general information about plants, including details on their seasonality, special shapes and colors, information about allergic cross-reactions, and plant photos.","ref":"GoogleApi.Pollen.V1.Model.PlantInfo.html#module-attributes"},{"type":"function","title":"GoogleApi.Pollen.V1.Model.PlantInfo.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Pollen.V1.Model.PlantInfo.html#decode/2"},{"type":"type","title":"GoogleApi.Pollen.V1.Model.PlantInfo.t/0","doc":"","ref":"GoogleApi.Pollen.V1.Model.PlantInfo.html#t:t/0"},{"type":"module","title":"GoogleApi.Pollen.V1.Model.PollenTypeInfo","doc":"This object contains the pollen type index and health recommendation information on specific pollen type.","ref":"GoogleApi.Pollen.V1.Model.PollenTypeInfo.html"},{"type":"module","title":"Attributes - GoogleApi.Pollen.V1.Model.PollenTypeInfo","doc":"*   `code` (*type:* `String.t`, *default:* `nil`) - The pollen type's code name. For example: \"GRASS\"\n*   `displayName` (*type:* `String.t`, *default:* `nil`) - A human readable representation of the pollen type name. Example: \"Grass\"\n*   `healthRecommendations` (*type:* `list(String.t)`, *default:* `nil`) - Textual list of explanations, related to health insights based on the current pollen levels.\n*   `inSeason` (*type:* `boolean()`, *default:* `nil`) - Indication whether the plant is in season or not.\n*   `indexInfo` (*type:* `GoogleApi.Pollen.V1.Model.IndexInfo.t`, *default:* `nil`) - Contains the Universal Pollen Index (UPI) data for the pollen type.","ref":"GoogleApi.Pollen.V1.Model.PollenTypeInfo.html#module-attributes"},{"type":"function","title":"GoogleApi.Pollen.V1.Model.PollenTypeInfo.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Pollen.V1.Model.PollenTypeInfo.html#decode/2"},{"type":"type","title":"GoogleApi.Pollen.V1.Model.PollenTypeInfo.t/0","doc":"","ref":"GoogleApi.Pollen.V1.Model.PollenTypeInfo.html#t:t/0"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,52,46,50]}}